Docs Autonomy
Référence APIFlows

Get a flow by slug

Returns a reusable flow belonging to the authenticated team.

GET
/api/flows/{slug}

Returns a reusable flow belonging to the authenticated team.

Authorization

bearerAuth
AuthorizationBearer <token>

Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.

In: header

Path Parameters

slug*string

Organization-scoped flow slug.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/flows/string"
{
  "_id": "string",
  "name": "string",
  "slug": "string",
  "description": "string",
  "steps": [
    {
      "action": "click",
      "target": "Checkout button",
      "value": "string",
      "config": {
        "authProfile": "string",
        "isolationProbe": {
          "probeId": "string",
          "ownerStepIndex": 0,
          "ownerProfile": "string",
          "actorProfile": "string",
          "resourceVariable": "string",
          "expectedDeniedStatuses": [
            400
          ]
        },
        "crossChannel": {
          "groupId": "string",
          "role": "trigger",
          "channel": "api",
          "required": true,
          "correlationVariable": "string"
        }
      }
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}